
module "appconfig" {
  source = "terraform-aws-modules/appconfig/aws"
  version = "2.0.0"
  config_profile_description = var.config_profile_description
  config_profile_location_uri = var.config_profile_location_uri
  config_profile_name = var.config_profile_name
  config_profile_retrieval_role_arn = var.config_profile_retrieval_role_arn
  config_profile_tags = var.config_profile_tags
  config_profile_type = var.config_profile_type
  config_profile_validator = var.config_profile_validator
  create = var.create
  create_deployment_strategy = var.create_deployment_strategy
  create_retrieval_role = var.create_retrieval_role
  deployment_configuration_version = var.deployment_configuration_version
  deployment_description = var.deployment_description
  deployment_strategy_deployment_duration_in_minutes = var.deployment_strategy_deployment_duration_in_minutes
  deployment_strategy_description = var.deployment_strategy_description
  deployment_strategy_final_bake_time_in_minutes = var.deployment_strategy_final_bake_time_in_minutes
  deployment_strategy_growth_factor = var.deployment_strategy_growth_factor
  deployment_strategy_growth_type = var.deployment_strategy_growth_type
  deployment_strategy_id = var.deployment_strategy_id
  deployment_strategy_name = var.deployment_strategy_name
  deployment_strategy_replicate_to = var.deployment_strategy_replicate_to
  deployment_strategy_tags = var.deployment_strategy_tags
  deployment_tags = var.deployment_tags
  description = var.description
  environments = var.environments
  hosted_config_version_content = var.hosted_config_version_content
  hosted_config_version_content_type = var.hosted_config_version_content_type
  hosted_config_version_description = var.hosted_config_version_description
  name = var.name
  retrieval_role_description = var.retrieval_role_description
  retrieval_role_name = var.retrieval_role_name
  retrieval_role_path = var.retrieval_role_path
  retrieval_role_permissions_boundary = var.retrieval_role_permissions_boundary
  retrieval_role_tags = var.retrieval_role_tags
  retrieval_role_use_name_prefix = var.retrieval_role_use_name_prefix
  s3_configuration_bucket_arn = var.s3_configuration_bucket_arn
  s3_configuration_object_key = var.s3_configuration_object_key
  ssm_document_configuration_arn = var.ssm_document_configuration_arn
  ssm_parameter_configuration_arn = var.ssm_parameter_configuration_arn
  tags = var.tags
  use_hosted_configuration = var.use_hosted_configuration
  use_s3_configuration = var.use_s3_configuration
  use_ssm_document_configuration = var.use_ssm_document_configuration
  use_ssm_parameter_configuration = var.use_ssm_parameter_configuration
}
